### File

`packages/eui/packages/components-next/src/lib/components/eui-dashboard-card/eui-dashboard-card.component.ts`

### Implements

`OnInit`

### Metadata

selector | `eui-dashboard-card`
styleUrls | `./styles/_index.scss`
templateUrl | `./eui-dashboard-card.component.html`

### Index

###### Methods
onClick onKeyDown openLink
###### Inputs
buttonLinkLabel buttonStyleClass e2eAttr iconClass iconTypeClass imageHeight imageUrl imageWidth isClickable isHorizontalLayout isIconCompact label labelMaxLines styleClass subLabel subLabelMaxLines typeClass url urlExternal urlExternalTarget
###### Outputs
onClicked
###### Accessors
stateTypeClass

### Constructor

`constructor(router: Router)`
Parameters :
Name | Type | Optional
router | `Router` | No

### Inputs

buttonLinkLabel
Type : `string`

buttonStyleClass
Default value : `'btn-info'`

e2eAttr
Default value : `'eui-dashboard-card'`

iconClass
Type : `string`

iconTypeClass
Type : `string`

imageHeight
Default value : `'64'`

imageUrl
Type : `string`

imageWidth
Default value : `'64'`

isClickable
Default value : `false`

isHorizontalLayout
Default value : `false`

isIconCompact
Default value : `true`

label
Type : `string`

labelMaxLines
Type : `string`

styleClass
Type : `string`

subLabel
Type : `string`

subLabelMaxLines
Type : `string`

typeClass
Type : `string`

url
Type : `string`

urlExternal
Type : `string`

urlExternalTarget
Default value : `'_blank'`

### Outputs

onClicked
Type : `EventEmitter<any>`

### Methods

onClick
`onClick(event: any)`
Parameters :
Name | Type | Optional
event | `any` | No
Returns : `void`

onKeyDown
`onKeyDown(keyCode: number)`
Parameters :
Name | Type | Optional
keyCode | `number` | No
Returns : `void`

openLink
`openLink()`
Returns : `void`

### Accessors

stateTypeClass
get `stateTypeClass()`

# result-matching ""

# No results matching ""